.gm-style .gm-style-iw-c {
	background: rgba(0, 0, 0, 0.5);
  	padding: 12px !important;
  	box-shadow: none;
}
.gm-style .gm-style-iw-c .gm-style-iw-d {
 	overflow: auto !important;
}
.fugu_map {
  z-index: 0;
}
.fugu_map_text {
    text-align: center;
}
.fugu_map_text h2 {
	font-size: 14px;
    margin: 0;
    margin-bottom: 5px;
}
.fugu_map_text_title {
    margin: 0;
    font-size: 16px;
    font-weight: bold;
    color: #e5c89d;
    margin-bottom: 5px;
}
.fugu_map_text_address {
    margin: 0;
}
.gm-style .gm-style-iw-t::after {
	border-style: solid;
  border-width: 10px 10px 0 10px;
  border-color: #000000 transparent transparent transparent;
  opacity: 0.5;
  background: none;
  box-shadow: none;
  height: auto;
  width: auto;
  transform: none;
  left: -10px;
}
.gm-style-iw-t::before {
	display: none;
}
.gm-style .gm-style-iw-c button {
	display: none !important;
}

.fugu-marker {
    width: 20px;
    height: 20px;
    background: linear-gradient(88deg, #f3e4a1, #c27e46);
    border-radius: 100%;
  	position: relative;
  	animation: shadow-pulse-map 1s infinite;
}
.gm-style-iw-t {
	bottom: 40px !important;
}
@keyframes shadow-pulse-map
{
  0% {
    box-shadow: 0 0 0 0px rgba(243,228,161,0.7);;
  }
  100% {
    box-shadow: 0 0 0 20px rgba(243,228,161,0);;
  }
}

.leaflet-popup-content-wrapper, .leaflet-popup-tip {
    background: rgba(26, 26, 26, 0.7) !important;
    color: #fff !important;
    box-shadow: none !important;
}